### Hierarchy

- EventService

### Implements

- OnDestroy

## Index

### Constructors

- constructor

### Properties

- documentService
- subscriptions
- targets

### Methods

- ngOnDestroy
- on
- onDocument

## Constructors

### constructor

- new EventService(documentService: DocumentService): EventService

- - Defined in src/utils/event.service.ts:11

  #### Parameters

  - ##### documentService: DocumentService

  #### Returns EventService

## Properties

### Protected documentService

documentService: DocumentService

- Defined in src/utils/event.service.ts:13

### Protected subscriptions

subscriptions: Subscription = new Subscription()

- Defined in src/utils/event.service.ts:9

### Protected targets

targets: WeakMap<HTMLElement | Element | Document, Map<string, Observable<Event>>> = new WeakMap<HTMLElement | Element | Document, Map<string, Observable<Event>>>()

- Defined in src/utils/event.service.ts:11

## Methods

### ngOnDestroy

- ngOnDestroy(): void

- - Defined in src/utils/event.service.ts:34

  #### Returns void

### on

- on(targetElement: HTMLElement | Element, eventType: string, callback: EventHandler): void

- - Defined in src/utils/event.service.ts:15

  #### Parameters

  - ##### targetElement: HTMLElement | Element

  - ##### eventType: string

  - ##### callback: EventHandler

  #### Returns void

### onDocument

- onDocument(eventType: string, callback: EventHandler): void

- - Defined in src/utils/event.service.ts:30

  #### Parameters

  - ##### eventType: string

  - ##### callback: EventHandler

  #### Returns void

Generated using TypeDoc